Source: phantomjs
Version: 2.1.1+dfsg-1
Severity: serious
Justification: fails to build from source
User: reproducible-builds@lists.alioth.debian.org
Usertags: ftbfs
X-Debbugs-Cc: reproducible-builds@lists.alioth.debian.org

Dear Maintainer,

phantomjs fails to build from source in unstable/amd64:

  [..]

  Setting up zlib1g-dev:amd64 (1:1.2.8.dfsg-2+b1) ...
  Setting up libpng-dev:amd64 (1.6.22-1) ...
  Setting up libfreetype6-dev (2.6.3-3+b1) ...
  Setting up libjpeg62-turbo:amd64 (1:1.5.0-1) ...
  Setting up libjpeg62-turbo-dev:amd64 (1:1.5.0-1) ...
  Setting up libjpeg-dev (1:1.5.0-1) ...
  Setting up libsqlite3-dev:amd64 (3.13.0-1) ...
  Setting up libssl-dev:amd64 (1.0.2h-1) ...
  Setting up ucf (3.0036) ...
  Setting up fonts-dejavu-core (2.35-1) ...
  Setting up fontconfig-config (2.11.0-6.4) ...
  Setting up libfontconfig1:amd64 (2.11.0-6.4) ...
  Setting up libexpat1-dev:amd64 (2.1.1-3) ...
  Setting up pkg-config (0.29-4) ...
  Setting up libfontconfig1-dev:amd64 (2.11.0-6.4) ...
  Setting up libxau6:amd64 (1:1.0.8-1) ...
  Setting up libxdmcp6:amd64 (1:1.1.2-1.1) ...
  Setting up libxcb1:amd64 (1.11.1-1) ...
  Setting up libx11-data (2:1.6.3-1) ...
  Setting up libx11-6:amd64 (2:1.6.3-1) ...
  Setting up xorg-sgml-doctools (1:1.11-1) ...
  Setting up x11proto-core-dev (7.0.29-1) ...
  Setting up libxau-dev:amd64 (1:1.0.8-1) ...
  Setting up libxdmcp-dev:amd64 (1:1.1.2-1.1) ...
  Setting up x11proto-input-dev (2.3.2-1) ...
  Setting up x11proto-kb-dev (1.0.7-1) ...
  Setting up xtrans-dev (1.3.5-1) ...
  Setting up libpthread-stubs0-dev:amd64 (0.3-4) ...
  Setting up libxcb1-dev:amd64 (1.11.1-1) ...
  Setting up libx11-dev:amd64 (2:1.6.3-1) ...
  Setting up libxext6:amd64 (2:1.3.3-1) ...
  Setting up x11proto-xext-dev (7.3.0-1) ...
  Setting up libxext-dev:amd64 (2:1.3.3-1) ...
  Setting up libdrm2:amd64 (2.4.68-1) ...
  Setting up libglapi-mesa:amd64 (11.2.2-1) ...
  Setting up libx11-xcb1:amd64 (2:1.6.3-1) ...
  Setting up libxcb-dri2-0:amd64 (1.11.1-1) ...
  Setting up libxcb-dri3-0:amd64 (1.11.1-1) ...
  Setting up libxcb-glx0:amd64 (1.11.1-1) ...
  Setting up libxcb-present0:amd64 (1.11.1-1) ...
  Setting up libxcb-randr0:amd64 (1.11.1-1) ...
  Setting up libxcb-render0:amd64 (1.11.1-1) ...
  Setting up libxcb-shape0:amd64 (1.11.1-1) ...
  Setting up libxcb-sync1:amd64 (1.11.1-1) ...
  Setting up libxcb-xfixes0:amd64 (1.11.1-1) ...
  Setting up libxfixes3:amd64 (1:5.0.1-2+b2) ...
  Setting up libxdamage1:amd64 (1:1.1.4-2+b1) ...
  Setting up libxshmfence1:amd64 (1.2-1) ...
  Setting up libxxf86vm1:amd64 (1:1.1.4-1) ...
  Setting up libgl1-mesa-glx:amd64 (11.2.2-1) ...
  Setting up libgstreamer1.0-0:amd64 (1.8.2-1) ...
  Setcap worked! gst-ptp-helper is not suid!
  Setting up liborc-0.4-0:amd64 (1:0.4.25-1) ...
  Setting up iso-codes (3.68-1) ...
  Setting up libgstreamer-plugins-base1.0-0:amd64 (1.8.2-1) ...
  Setting up libpcre16-3:amd64 (2:8.38-3.1) ...
  Setting up libqt5core5a:amd64 (5.6.1+dfsg-2) ...
  Setting up fontconfig (2.11.0-6.4) ...
  Regenerating fonts cache... done.
  Setting up libglew1.13:amd64 (1.13.0-2) ...
  Setting up libglu1-mesa:amd64 (9.0.0-2.1) ...
  Setting up mesa-utils (8.3.0-1) ...
  Setting up libwayland-client0:amd64 (1.11.0-2) ...
  Setting up libwayland-server0:amd64 (1.11.0-2) ...
  Setting up libgbm1:amd64 (11.2.2-1) ...
  Setting up libegl1-mesa:amd64 (11.2.2-1) ...
  Setting up libgraphite2-3:amd64 (1.3.8-1) ...
  Setting up libharfbuzz0b:amd64 (1.2.6-2) ...
  Setting up x11-common (1:7.7+15) ...
  update-rc.d: warning: start and stop actions are no longer supported; falling 
back to defaults
  invoke-rc.d: could not determine current runlevel
  invoke-rc.d: policy-rc.d denied execution of start.
  Setting up libice6:amd64 (2:1.0.9-1+b1) ...
  Setting up libevdev2:amd64 (1.5.1+dfsg-1) ...
  Setting up libmtdev1:amd64 (1.1.5-1) ...
  Setting up libgudev-1.0-0:amd64 (230-3) ...
  Setting up libwacom-common (0.19-1) ...
  Setting up libwacom2:amd64 (0.19-1) ...
  Setting up libinput-bin (1.3.1-1) ...
  Setting up libinput10:amd64 (1.3.1-1) ...
  Setting up libdbus-1-3:amd64 (1.10.8-1) ...
  Setting up libqt5dbus5:amd64 (5.6.1+dfsg-2) ...
  Setting up libproxy1v5:amd64 (0.4.11-5) ...
  Setting up libqt5network5:amd64 (5.6.1+dfsg-2) ...
  Setting up libsm6:amd64 (2:1.2.2-1+b1) ...
  Setting up libxcb-icccm4:amd64 (0.4.1-1) ...
  Setting up libxcb-shm0:amd64 (1.11.1-1) ...
  Setting up libxcb-util0:amd64 (0.3.8-3) ...
  Setting up libxcb-image0:amd64 (0.4.0-1) ...
  Setting up libxcb-keysyms1:amd64 (0.4.0-1) ...
  Setting up libxcb-render-util0:amd64 (0.3.9-1) ...
  Setting up libxcb-xinerama0:amd64 (1.11.1-1) ...
  Setting up libxcb-xkb1:amd64 (1.11.1-1) ...
  Setting up libxi6:amd64 (2:1.7.6-1) ...
  Setting up xkb-data (2.17-1) ...
  Setting up libxkbcommon0:amd64 (0.5.0-1) ...
  Setting up libxkbcommon-x11-0:amd64 (0.5.0-1) ...
  Setting up libxrender1:amd64 (1:0.9.9-2) ...
  Setting up libqt5gui5:amd64 (5.6.1+dfsg-2) ...
  Setting up libqt5widgets5:amd64 (5.6.1+dfsg-2) ...
  Setting up libqt5opengl5:amd64 (5.6.1+dfsg-2) ...
  Setting up libavahi-common-data:amd64 (0.6.32~rc+dfsg-1) ...
  Setting up libavahi-common3:amd64 (0.6.32~rc+dfsg-1) ...
  Setting up libavahi-client3:amd64 (0.6.32~rc+dfsg-1) ...
  Setting up libcups2:amd64 (2.1.3-6) ...
  Setting up libqt5printsupport5:amd64 (5.6.1+dfsg-2) ...
  Setting up libdouble-conversion1:amd64 (2.0.1-3) ...
  Setting up libqt5qml5:amd64 (5.6.1-2) ...
  Setting up libqt5quick5:amd64 (5.6.1-2) ...
  Setting up libqt5sql5:amd64 (5.6.1+dfsg-2) ...
  Setting up libwebp5:amd64 (0.4.4-1+b2) ...
  Setting up libxcomposite1:amd64 (1:0.4.4-1) ...
  Setting up libxslt1.1:amd64 (1.1.28-4) ...
  Setting up libqt5webkit5:amd64 (5.6.1+dfsg-3) ...
  Setting up libpciaccess0:amd64 (0.13.4-1) ...
  Setting up libdrm-intel1:amd64 (2.4.68-1) ...
  Setting up libdrm-radeon1:amd64 (2.4.68-1) ...
  Setting up libdrm-nouveau2:amd64 (2.4.68-1) ...
  Setting up libdrm-amdgpu1:amd64 (2.4.68-1) ...
  Setting up libdrm-dev:amd64 (2.4.68-1) ...
  Setting up mesa-common-dev:amd64 (11.2.2-1) ...
  Setting up libx11-xcb-dev:amd64 (2:1.6.3-1) ...
  Setting up libxcb-dri3-dev:amd64 (1.11.1-1) ...
  Setting up libxcb-render0-dev:amd64 (1.11.1-1) ...
  Setting up libxcb-randr0-dev:amd64 (1.11.1-1) ...
  Setting up libxcb-shape0-dev:amd64 (1.11.1-1) ...
  Setting up libxcb-xfixes0-dev:amd64 (1.11.1-1) ...
  Setting up libxcb-sync-dev:amd64 (1.11.1-1) ...
  Setting up libxcb-present-dev:amd64 (1.11.1-1) ...
  Setting up libxshmfence-dev:amd64 (1.2-1) ...
  Setting up libxcb-dri2-0-dev:amd64 (1.11.1-1) ...
  Setting up libxcb-glx0-dev:amd64 (1.11.1-1) ...
  Setting up x11proto-fixes-dev (1:5.0-2) ...
  Setting up libxfixes-dev:amd64 (1:5.0.1-2+b2) ...
  Setting up x11proto-damage-dev (1:1.2.1-2) ...
  Setting up libxdamage-dev:amd64 (1:1.1.4-2+b1) ...
  Setting up x11proto-xf86vidmode-dev (2.3.1-2) ...
  Setting up libxxf86vm-dev:amd64 (1:1.1.4-1) ...
  Setting up x11proto-dri2-dev (2.8-2) ...
  Setting up x11proto-gl-dev (1.4.17-1) ...
  Setting up libgl1-mesa-dev:amd64 (11.2.2-1) ...
  Setting up libglu1-mesa-dev:amd64 (9.0.0-2.1) ...
  Setting up libqt5concurrent5:amd64 (5.6.1+dfsg-2) ...
  Setting up libqt5test5:amd64 (5.6.1+dfsg-2) ...
  Setting up libqt5xml5:amd64 (5.6.1+dfsg-2) ...
  Setting up qtchooser (58-gfab25f1-1) ...
  Setting up qt5-qmake:amd64 (5.6.1+dfsg-2) ...
  Setting up qtbase5-dev-tools (5.6.1+dfsg-2) ...
  Setting up qtbase5-dev:amd64 (5.6.1+dfsg-2) ...
  Setting up libqt5quickparticles5:amd64 (5.6.1-2) ...
  Setting up libqt5quicktest5:amd64 (5.6.1-2) ...
  Setting up libqt5quickwidgets5:amd64 (5.6.1-2) ...
  Setting up qt5-qmltooling-plugins:amd64 (5.6.1-2) ...
  Setting up qtdeclarative5-dev:amd64 (5.6.1-2) ...
  Setting up libqt5webkit5-dev:amd64 (5.6.1+dfsg-3) ...
  Setting up libatk1.0-data (2.20.0-1) ...
  Setting up libatk1.0-0:amd64 (2.20.0-1) ...
  Setting up libpixman-1-0:amd64 (0.33.6-1) ...
  Setting up libcairo2:amd64 (1.14.6-1+b1) ...
  Setting up libcairo-gobject2:amd64 (1.14.6-1+b1) ...
  Setting up libjbig0:amd64 (2.1-3.1) ...
  Setting up libtiff5:amd64 (4.0.6-1) ...
  Setting up shared-mime-info (1.6-1) ...
  Setting up libgdk-pixbuf2.0-common (2.34.0-1) ...
  Setting up libgdk-pixbuf2.0-0:amd64 (2.34.0-1) ...
  Setting up libdconf1:amd64 (0.26.0-1) ...
  Setting up dconf-service (0.26.0-1) ...
  Setting up dconf-gsettings-backend:amd64 (0.26.0-1) ...
  Setting up hicolor-icon-theme (0.15-1) ...
  Setting up gtk-update-icon-cache (3.20.6-1) ...
  Setting up libthai-data (0.1.24-2) ...
  Setting up libdatrie1:amd64 (0.2.10-2) ...
  Setting up libthai0:amd64 (0.1.24-2) ...
  Setting up libpango-1.0-0:amd64 (1.40.1-1) ...
  Setting up libpangoft2-1.0-0:amd64 (1.40.1-1) ...
  Setting up libpangocairo-1.0-0:amd64 (1.40.1-1) ...
  Setting up librsvg2-2:amd64 (2.40.16-1) ...
  Setting up librsvg2-common:amd64 (2.40.16-1) ...
  Setting up adwaita-icon-theme (3.20-3) ...
  update-alternatives: using /usr/share/icons/Adwaita/cursor.theme to provide 
/usr/share/icons/default/index.theme (x-cursor-theme) in auto mode
  Setting up libgtk-3-common (3.20.6-1) ...
  Setting up libatspi2.0-0:amd64 (2.20.2-1) ...
  Setting up libatk-bridge2.0-0:amd64 (2.20.1-2) ...
  Setting up liblcms2-2:amd64 (2.7-1) ...
  Setting up libcolord2:amd64 (1.3.2-1) ...
  Setting up libepoxy0:amd64 (1.3.1-1) ...
  Setting up libjson-glib-1.0-common (1.2.0-1) ...
  Setting up libjson-glib-1.0-0:amd64 (1.2.0-1) ...
  Setting up glib-networking-common (2.48.2-1) ...
  Setting up glib-networking-services (2.48.2-1) ...
  Setting up gsettings-desktop-schemas (3.20.0-3) ...
  Setting up glib-networking:amd64 (2.48.2-1) ...
  Setting up libsoup2.4-1:amd64 (2.54.1-1) ...
  Setting up libsoup-gnome2.4-1:amd64 (2.54.1-1) ...
  Setting up librest-0.7-0:amd64 (0.8.0-1) ...
  Setting up libwayland-cursor0:amd64 (1.11.0-2) ...
  Setting up libwayland-egl1-mesa:amd64 (11.2.2-1) ...
  Setting up libxcursor1:amd64 (1:1.1.14-1+b1) ...
  Setting up libxinerama1:amd64 (2:1.1.3-1+b1) ...
  Setting up libxrandr2:amd64 (2:1.5.0-1) ...
  Setting up libgtk-3-0:amd64 (3.20.6-1) ...
  Setting up libgtk2.0-common (2.24.30-2) ...
  Setting up libgtk2.0-0:amd64 (2.24.30-2) ...
  Setting up gtk-vector-screenshot (0.3.2.1-2) ...
  Setting up libgail18:amd64 (2.24.30-2) ...
  Setting up libgail-common:amd64 (2.24.30-2) ...
  Setting up libatk-adaptor:amd64 (2.20.1-2) ...
  Setting up libxt6:amd64 (1:1.1.5-1) ...
  Setting up libxmu6:amd64 (2:1.1.2-2) ...
  Setting up libxpm4:amd64 (1:3.5.11-1+b1) ...
  Setting up libxaw7:amd64 (2:1.0.13-1) ...
  Setting up libxkbfile1:amd64 (1:1.0.9-2) ...
  Setting up x11-xkb-utils (7.7+3) ...
  Setting up xserver-common (2:1.18.3-1) ...
  Setting up libfontenc1:amd64 (1:1.1.3-1) ...
  Setting up libxfont1:amd64 (1:1.5.1-1) ...
  Setting up xvfb (2:1.18.3-1) ...
  Setting up libxmuu1:amd64 (2:1.1.2-2) ...
  Setting up xauth (1:1.0.9-1) ...
  Setting up libelf1:amd64 (0.165-3) ...
  Setting up libedit2:amd64 (3.1-20150325-1+b1) ...
  Setting up libllvm3.8:amd64 (1:3.8-2) ...
  Setting up libgl1-mesa-dri:amd64 (11.2.2-1) ...
  Setting up phantomjs-build-deps (2.1.1+dfsg-1) ...
  Processing triggers for libc-bin (2.22-11) ...
  Processing triggers for systemd (230-2) ...
  Processing triggers for libgdk-pixbuf2.0-0:amd64 (2.34.0-1) ...
  
  
**************************************************************************************
  ** Environment                                                                
      **
  
**************************************************************************************
  
  
PATH=/home/lamby/git/projects/dotfiles/dotfiles/..//bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
  HOSTNAME=a3a31482bc76
  TERM=xterm
  PAGER=more
  DISPLAY=:0
  DOCKER_IMAGE=lamby-debian-sid
  DEB_BUILD_OPTIONS=parallel=9
  PIP_DOWNLOAD_CACHE=/home/lamby/.cache/pip
  HOME=/home/lamby
  LOGNAME=lamby
  SHLVL=1
  
PWD=/home/lamby/temp/cdt.20160615214742.Rh7RAjWozw.phantomjs/phantomjs-2.1.1+dfsg
  OLDPWD=/home/lamby/temp/cdt.20160615214742.Rh7RAjWozw.phantomjs
  GPG_TTY=/dev/console
  QUILT_PATCHES=debian/patches
  QUILT_NO_DIFF_INDEX=1
  QUILT_REFRESH_ARGS=-p ab --no-timestamps --no-index
  DEBEMAIL=la...@debian.org
  DEBFULLNAME=Chris Lamb
  EDITOR=vim
  LESS=-cgiFx4M
  BLASTER=A220 I5 D1 H5 P330 T6
  _=/usr/bin/env
  
  
**************************************************************************************
  ** Building phantomjs 2.1.1+dfsg-1 on amd64                                   
      **
  
**************************************************************************************
  
   dpkg-buildpackage -rfakeroot -D -us -uc -b
  dpkg-buildpackage: info: source package phantomjs
  dpkg-buildpackage: info: source version 2.1.1+dfsg-1
  dpkg-buildpackage: info: source distribution unstable
  dpkg-buildpackage: info: source changed by Dmitry Smirnov <only...@debian.org>
   dpkg-source --before-build phantomjs-2.1.1+dfsg
  dpkg-buildpackage: info: host architecture amd64
   fakeroot debian/rules clean
  dh clean
     dh_testdir
     dh_auto_clean
     dh_clean
   debian/rules build
  dh build
     dh_testdir
     dh_update_autotools_config
     dh_auto_configure
        qmake -makefile -nocache "QMAKE_CFLAGS_RELEASE=-g -O2 -fPIE 
-fstack-protector-strong -Wformat -Werror=format-security -Wdate-time 
-D_FORTIFY_SOURCE=2" "QMAKE_CFLAGS_DEBUG=-g -O2 -fPIE -fstack-protector-strong 
-Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2" 
"QMAKE_CXXFLAGS_RELEASE=-g -O2 -fPIE -fstack-protector-strong -Wformat 
-Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2" 
"QMAKE_CXXFLAGS_DEBUG=-g -O2 -fPIE -fstack-protector-strong -Wformat 
-Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2" 
"QMAKE_LFLAGS_RELEASE=-fPIE -pie -Wl,-z,relro -Wl,-z,now" 
"QMAKE_LFLAGS_DEBUG=-fPIE -pie -Wl,-z,relro -Wl,-z,now" QMAKE_STRIP=: 
PREFIX=/usr
     debian/rules override_dh_auto_build
  make[1]: Entering directory 
'/home/lamby/temp/cdt.20160615214742.Rh7RAjWozw.phantomjs/phantomjs-2.1.1+dfsg'
  python build.py --skip-git --skip-qtbase --skip-qtwebkit --confirm --release
  make[2]: Entering directory 
'/home/lamby/temp/cdt.20160615214742.Rh7RAjWozw.phantomjs/phantomjs-2.1.1+dfsg'
  cd src/ && ( test -e Makefile.phantomjs || 
/usr/lib/x86_64-linux-gnu/qt5/bin/qmake 
/home/lamby/temp/cdt.20160615214742.Rh7RAjWozw.phantomjs/phantomjs-2.1.1+dfsg/src/phantomjs.pro
 -o Makefile.phantomjs ) && make -f Makefile.phantomjs 
  Project ERROR: This program can only be compiled with Qt 5.5.x.
  Makefile:42: recipe for target 'sub-src-phantomjs-pro-make_first-ordered' 
failed
  make[2]: *** [sub-src-phantomjs-pro-make_first-ordered] Error 3
  make[2]: Leaving directory 
'/home/lamby/temp/cdt.20160615214742.Rh7RAjWozw.phantomjs/phantomjs-2.1.1+dfsg'
  
  ERROR: Failed to build PhantomJS! Building PhantomJS failed.
  Skipping build of Qt Base
  Skipping build of Qt WebKit
  Configuring PhantomJS, please wait...
  Executing in 
/home/lamby/temp/cdt.20160615214742.Rh7RAjWozw.phantomjs/phantomjs-2.1.1+dfsg: 
/usr/bin/qmake
  Building PhantomJS, please wait...
  Executing in 
/home/lamby/temp/cdt.20160615214742.Rh7RAjWozw.phantomjs/phantomjs-2.1.1+dfsg: 
make -j 4
  debian/rules:17: recipe for target 'override_dh_auto_build' failed
  make[1]: *** [override_dh_auto_build] Error 1
  make[1]: Leaving directory 
'/home/lamby/temp/cdt.20160615214742.Rh7RAjWozw.phantomjs/phantomjs-2.1.1+dfsg'
  debian/rules:14: recipe for target 'build' failed
  make: *** [build] Error 2

  [..]

The full build log is attached.


Regards,

-- 
      ,''`.
     : :'  :     Chris Lamb
     `. `'`      la...@debian.org / chris-lamb.co.uk
       `-

Attachment: phantomjs.2.1.1+dfsg-1.unstable.amd64.log.txt.gz
Description: Binary data

_______________________________________________
Reproducible-builds mailing list
Reproducible-builds@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/reproducible-builds

Reply via email to